net.minecraft.client.model

## Class ModelEnderman

- java.lang.Object
- - net.minecraft.client.model.ModelBase
  - - net.minecraft.client.model.ModelBiped
    - - net.minecraft.client.model.ModelEnderman

-     public class ModelEnderman
      extends ModelBiped

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `boolean` | `isAttacking`
    `boolean` | `isCarrying`

    - ### Fields inherited from class net.minecraft.client.model.ModelBiped

      `aimedBow, bipedBody, bipedCloak, bipedEars, bipedHead, bipedHeadwear, bipedLeftArm, bipedLeftLeg, bipedRightArm, bipedRightLeg, heldItemLeft, heldItemRight, isSneak`

    - ### Fields inherited from class net.minecraft.client.model.ModelBase

      `boxList, isChild, isRiding, onGround, textureHeight, textureWidth`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ModelEnderman()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `setRotationAngles(float par1, float par2, float par3, float par4, float par5, float par6, Entity par7Entity)`

    - ### Methods inherited from class net.minecraft.client.model.ModelBiped

      `render, renderCloak, renderEars`

    - ### Methods inherited from class net.minecraft.client.model.ModelBase

      `getRandomModelBox, getTextureOffset, setLivingAnimations, setTextureOffset`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### isCarrying

          public boolean isCarrying

    - #### isAttacking

          public boolean isAttacking

  - ### Constructor Detail

    - #### ModelEnderman

          public ModelEnderman()

  - ### Method Detail

    - #### setRotationAngles

          public void setRotationAngles(float par1,
                               float par2,
                               float par3,
                               float par4,
                               float par5,
                               float par6,
                               Entity par7Entity)

      Overrides:
        `setRotationAngles` in class `ModelBiped`